/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * require_extensions: GL_ARB_gpu_shader_fp64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * length(dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf)) => np.float64(1.2041594578792296)lf
 * length(dvec2(np.float64(-0.42)lf, np.float64(0.48)lf)) => np.float64(0.6378087487640789)lf
 */
#version 150
#extension GL_ARB_gpu_shader_fp64 : require

void main()
{
  double[distance(length(dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf)), np.float64(1.2041594578792296)lf) <= np.float64(1.2041594578792297e-05)lf ? 1 : -1] array0;
  double[distance(length(dvec2(np.float64(-0.42)lf, np.float64(0.48)lf)), np.float64(0.6378087487640789)lf) <= np.float64(6.37808748764079e-06)lf ? 1 : -1] array1;
  gl_Position = vec4(array0.length() + array1.length());
}
