/* [config]
 * expect_result: pass
 * glsl_version: 4.00
 * require_extensions: GL_ARB_gpu_shader_int64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (u64vec2(np.uint64(10)ul, np.uint64(12)ul) << np.int32(0)) => u64vec2(np.uint64(10)ul, np.uint64(12)ul)
 * (u64vec2(np.uint64(10)ul, np.uint64(12)ul) << np.int32(1)) => u64vec2(np.uint64(20)ul, np.uint64(24)ul)
 * (u64vec2(np.uint64(10)ul, np.uint64(12)ul) << np.int32(2)) => u64vec2(np.uint64(40)ul, np.uint64(48)ul)
 * (u64vec2(np.uint64(10)ul, np.uint64(12)ul) << np.int32(5)) => u64vec2(np.uint64(320)ul, np.uint64(384)ul)
 * (u64vec2(np.uint64(10)ul, np.uint64(12)ul) << np.int32(25)) => u64vec2(np.uint64(335544320)ul, np.uint64(402653184)ul)
 * (u64vec2(np.uint64(10)ul, np.uint64(12)ul) << np.int32(31)) => u64vec2(np.uint64(21474836480)ul, np.uint64(25769803776)ul)
 * (u64vec2(np.uint64(42)ul, np.uint64(48)ul) << np.int32(0)) => u64vec2(np.uint64(42)ul, np.uint64(48)ul)
 * (u64vec2(np.uint64(42)ul, np.uint64(48)ul) << np.int32(1)) => u64vec2(np.uint64(84)ul, np.uint64(96)ul)
 * (u64vec2(np.uint64(42)ul, np.uint64(48)ul) << np.int32(2)) => u64vec2(np.uint64(168)ul, np.uint64(192)ul)
 * (u64vec2(np.uint64(42)ul, np.uint64(48)ul) << np.int32(5)) => u64vec2(np.uint64(1344)ul, np.uint64(1536)ul)
 * (u64vec2(np.uint64(42)ul, np.uint64(48)ul) << np.int32(25)) => u64vec2(np.uint64(1409286144)ul, np.uint64(1610612736)ul)
 * (u64vec2(np.uint64(42)ul, np.uint64(48)ul) << np.int32(31)) => u64vec2(np.uint64(90194313216)ul, np.uint64(103079215104)ul)
 */
#version 400
#extension GL_ARB_gpu_shader_int64 : require

void main()
{
  float[all(equal((u64vec2(np.uint64(10)ul, np.uint64(12)ul) << np.int32(0)), u64vec2(np.uint64(10)ul, np.uint64(12)ul))) ? 1 : -1] array0;
  float[all(equal((u64vec2(np.uint64(10)ul, np.uint64(12)ul) << np.int32(1)), u64vec2(np.uint64(20)ul, np.uint64(24)ul))) ? 1 : -1] array1;
  float[all(equal((u64vec2(np.uint64(10)ul, np.uint64(12)ul) << np.int32(2)), u64vec2(np.uint64(40)ul, np.uint64(48)ul))) ? 1 : -1] array2;
  float[all(equal((u64vec2(np.uint64(10)ul, np.uint64(12)ul) << np.int32(5)), u64vec2(np.uint64(320)ul, np.uint64(384)ul))) ? 1 : -1] array3;
  float[all(equal((u64vec2(np.uint64(10)ul, np.uint64(12)ul) << np.int32(25)), u64vec2(np.uint64(335544320)ul, np.uint64(402653184)ul))) ? 1 : -1] array4;
  float[all(equal((u64vec2(np.uint64(10)ul, np.uint64(12)ul) << np.int32(31)), u64vec2(np.uint64(21474836480)ul, np.uint64(25769803776)ul))) ? 1 : -1] array5;
  float[all(equal((u64vec2(np.uint64(42)ul, np.uint64(48)ul) << np.int32(0)), u64vec2(np.uint64(42)ul, np.uint64(48)ul))) ? 1 : -1] array6;
  float[all(equal((u64vec2(np.uint64(42)ul, np.uint64(48)ul) << np.int32(1)), u64vec2(np.uint64(84)ul, np.uint64(96)ul))) ? 1 : -1] array7;
  float[all(equal((u64vec2(np.uint64(42)ul, np.uint64(48)ul) << np.int32(2)), u64vec2(np.uint64(168)ul, np.uint64(192)ul))) ? 1 : -1] array8;
  float[all(equal((u64vec2(np.uint64(42)ul, np.uint64(48)ul) << np.int32(5)), u64vec2(np.uint64(1344)ul, np.uint64(1536)ul))) ? 1 : -1] array9;
  float[all(equal((u64vec2(np.uint64(42)ul, np.uint64(48)ul) << np.int32(25)), u64vec2(np.uint64(1409286144)ul, np.uint64(1610612736)ul))) ? 1 : -1] array10;
  float[all(equal((u64vec2(np.uint64(42)ul, np.uint64(48)ul) << np.int32(31)), u64vec2(np.uint64(90194313216)ul, np.uint64(103079215104)ul))) ? 1 : -1] array11;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length());
}
