/* [config]
 * expect_result: pass
 * glsl_version: 4.00
 * require_extensions: GL_ARB_gpu_shader_int64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (i64vec4(np.int64(165)l, np.int64(133)l, np.int64(193)l, np.int64(76)l) * i64vec4(np.int64(165)l, np.int64(133)l, np.int64(193)l, np.int64(76)l)) => i64vec4(np.int64(27225)l, np.int64(17689)l, np.int64(37249)l, np.int64(5776)l)
 * (i64vec4(np.int64(165)l, np.int64(133)l, np.int64(193)l, np.int64(76)l) * i64vec4(np.int64(80)l, np.int64(-15)l, np.int64(-51)l, np.int64(0)l)) => i64vec4(np.int64(13200)l, np.int64(-1995)l, np.int64(-9843)l, np.int64(0)l)
 * (i64vec4(np.int64(80)l, np.int64(-15)l, np.int64(-51)l, np.int64(0)l) * i64vec4(np.int64(165)l, np.int64(133)l, np.int64(193)l, np.int64(76)l)) => i64vec4(np.int64(13200)l, np.int64(-1995)l, np.int64(-9843)l, np.int64(0)l)
 * (i64vec4(np.int64(80)l, np.int64(-15)l, np.int64(-51)l, np.int64(0)l) * i64vec4(np.int64(80)l, np.int64(-15)l, np.int64(-51)l, np.int64(0)l)) => i64vec4(np.int64(6400)l, np.int64(225)l, np.int64(2601)l, np.int64(0)l)
 */
#version 400
#extension GL_ARB_gpu_shader_int64 : require

void main()
{
  float[all(equal((i64vec4(np.int64(165)l, np.int64(133)l, np.int64(193)l, np.int64(76)l) * i64vec4(np.int64(165)l, np.int64(133)l, np.int64(193)l, np.int64(76)l)), i64vec4(np.int64(27225)l, np.int64(17689)l, np.int64(37249)l, np.int64(5776)l))) ? 1 : -1] array0;
  float[all(equal((i64vec4(np.int64(165)l, np.int64(133)l, np.int64(193)l, np.int64(76)l) * i64vec4(np.int64(80)l, np.int64(-15)l, np.int64(-51)l, np.int64(0)l)), i64vec4(np.int64(13200)l, np.int64(-1995)l, np.int64(-9843)l, np.int64(0)l))) ? 1 : -1] array1;
  float[all(equal((i64vec4(np.int64(80)l, np.int64(-15)l, np.int64(-51)l, np.int64(0)l) * i64vec4(np.int64(165)l, np.int64(133)l, np.int64(193)l, np.int64(76)l)), i64vec4(np.int64(13200)l, np.int64(-1995)l, np.int64(-9843)l, np.int64(0)l))) ? 1 : -1] array2;
  float[all(equal((i64vec4(np.int64(80)l, np.int64(-15)l, np.int64(-51)l, np.int64(0)l) * i64vec4(np.int64(80)l, np.int64(-15)l, np.int64(-51)l, np.int64(0)l)), i64vec4(np.int64(6400)l, np.int64(225)l, np.int64(2601)l, np.int64(0)l))) ? 1 : -1] array3;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
