/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (np.float32(0.0) * vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94))) => vec3(np.float32(-0.0), np.float32(-0.0), np.float32(-0.0))
 * (np.float32(0.0) * vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87))) => vec3(np.float32(0.0), np.float32(0.0), np.float32(0.0))
 * (np.float32(-1.33) * vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94))) => vec3(np.float32(0.0399), np.float32(1.1305001), np.float32(1.2502))
 * (np.float32(-1.33) * vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87))) => vec3(np.float32(-2.2211), np.float32(-0.87780005), np.float32(-2.4871001))
 * (np.float32(0.85) * vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94))) => vec3(np.float32(-0.0255), np.float32(-0.7225), np.float32(-0.799))
 * (np.float32(0.85) * vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87))) => vec3(np.float32(1.4195), np.float32(0.56100005), np.float32(1.5895001))
 */
#version 120

void main()
{
  float[distance((np.float32(0.0) * vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94))), vec3(np.float32(-0.0), np.float32(-0.0), np.float32(-0.0))) <= np.float32(0.0) ? 1 : -1] array0;
  float[distance((np.float32(0.0) * vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87))), vec3(np.float32(0.0), np.float32(0.0), np.float32(0.0))) <= np.float32(0.0) ? 1 : -1] array1;
  float[distance((np.float32(-1.33) * vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94))), vec3(np.float32(0.0399), np.float32(1.1305001), np.float32(1.2502))) <= np.float32(1.6860078e-05) ? 1 : -1] array2;
  float[distance((np.float32(-1.33) * vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87))), vec3(np.float32(-2.2211), np.float32(-0.87780005), np.float32(-2.4871001))) <= np.float32(3.4481134e-05) ? 1 : -1] array3;
  float[distance((np.float32(0.85) * vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94))), vec3(np.float32(-0.0255), np.float32(-0.7225), np.float32(-0.799))) <= np.float32(1.07752385e-05) ? 1 : -1] array4;
  float[distance((np.float32(0.85) * vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87))), vec3(np.float32(1.4195), np.float32(0.56100005), np.float32(1.5895001))) <= np.float32(2.2036815e-05) ? 1 : -1] array5;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length());
}
