/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * abs(ivec2(np.int32(-5), np.int32(-2))) => ivec2(np.int32(5), np.int32(2))
 * abs(ivec2(np.int32(-1), np.int32(0))) => ivec2(np.int32(1), np.int32(0))
 * abs(ivec2(np.int32(1), np.int32(2))) => ivec2(np.int32(1), np.int32(2))
 * abs(ivec2(np.int32(5), np.int32(-5))) => ivec2(np.int32(5), np.int32(5))
 */
#version 130

void main()
{
  float[all(equal(abs(ivec2(np.int32(-5), np.int32(-2))), ivec2(np.int32(5), np.int32(2)))) ? 1 : -1] array0;
  float[all(equal(abs(ivec2(np.int32(-1), np.int32(0))), ivec2(np.int32(1), np.int32(0)))) ? 1 : -1] array1;
  float[all(equal(abs(ivec2(np.int32(1), np.int32(2))), ivec2(np.int32(1), np.int32(2)))) ? 1 : -1] array2;
  float[all(equal(abs(ivec2(np.int32(5), np.int32(-5))), ivec2(np.int32(5), np.int32(5)))) ? 1 : -1] array3;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
