/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (ivec3(np.int32(-36), np.int32(32), np.int32(-88)) | (~ abs(np.int32(12)))) => ivec3(np.int32(-1), np.int32(-13), np.int32(-5))
 * (ivec3(np.int32(-36), np.int32(32), np.int32(-88)) | (~ abs(np.int32(-6)))) => ivec3(np.int32(-3), np.int32(-7), np.int32(-7))
 * (ivec3(np.int32(-36), np.int32(32), np.int32(-88)) | (~ abs(np.int32(76)))) => ivec3(np.int32(-1), np.int32(-77), np.int32(-69))
 * (ivec3(np.int32(-36), np.int32(32), np.int32(-88)) | (~ abs(np.int32(-32)))) => ivec3(np.int32(-33), np.int32(-1), np.int32(-1))
 * (ivec3(np.int32(-36), np.int32(32), np.int32(-88)) | (~ abs(np.int32(0)))) => ivec3(np.int32(-1), np.int32(-1), np.int32(-1))
 * (ivec3(np.int32(36), np.int32(32), np.int32(88)) | (~ abs(np.int32(12)))) => ivec3(np.int32(-9), np.int32(-13), np.int32(-5))
 * (ivec3(np.int32(36), np.int32(32), np.int32(88)) | (~ abs(np.int32(-6)))) => ivec3(np.int32(-3), np.int32(-7), np.int32(-7))
 * (ivec3(np.int32(36), np.int32(32), np.int32(88)) | (~ abs(np.int32(76)))) => ivec3(np.int32(-73), np.int32(-77), np.int32(-5))
 * (ivec3(np.int32(36), np.int32(32), np.int32(88)) | (~ abs(np.int32(-32)))) => ivec3(np.int32(-1), np.int32(-1), np.int32(-33))
 * (ivec3(np.int32(36), np.int32(32), np.int32(88)) | (~ abs(np.int32(0)))) => ivec3(np.int32(-1), np.int32(-1), np.int32(-1))
 * (ivec3(np.int32(59), np.int32(77), np.int32(68)) | (~ abs(np.int32(12)))) => ivec3(np.int32(-5), np.int32(-1), np.int32(-9))
 * (ivec3(np.int32(59), np.int32(77), np.int32(68)) | (~ abs(np.int32(-6)))) => ivec3(np.int32(-5), np.int32(-3), np.int32(-3))
 * (ivec3(np.int32(59), np.int32(77), np.int32(68)) | (~ abs(np.int32(76)))) => ivec3(np.int32(-69), np.int32(-1), np.int32(-9))
 * (ivec3(np.int32(59), np.int32(77), np.int32(68)) | (~ abs(np.int32(-32)))) => ivec3(np.int32(-1), np.int32(-33), np.int32(-33))
 * (ivec3(np.int32(59), np.int32(77), np.int32(68)) | (~ abs(np.int32(0)))) => ivec3(np.int32(-1), np.int32(-1), np.int32(-1))
 */
#version 130

void main()
{
  float[all(equal((ivec3(np.int32(-36), np.int32(32), np.int32(-88)) | (~ abs(np.int32(12)))), ivec3(np.int32(-1), np.int32(-13), np.int32(-5)))) ? 1 : -1] array0;
  float[all(equal((ivec3(np.int32(-36), np.int32(32), np.int32(-88)) | (~ abs(np.int32(-6)))), ivec3(np.int32(-3), np.int32(-7), np.int32(-7)))) ? 1 : -1] array1;
  float[all(equal((ivec3(np.int32(-36), np.int32(32), np.int32(-88)) | (~ abs(np.int32(76)))), ivec3(np.int32(-1), np.int32(-77), np.int32(-69)))) ? 1 : -1] array2;
  float[all(equal((ivec3(np.int32(-36), np.int32(32), np.int32(-88)) | (~ abs(np.int32(-32)))), ivec3(np.int32(-33), np.int32(-1), np.int32(-1)))) ? 1 : -1] array3;
  float[all(equal((ivec3(np.int32(-36), np.int32(32), np.int32(-88)) | (~ abs(np.int32(0)))), ivec3(np.int32(-1), np.int32(-1), np.int32(-1)))) ? 1 : -1] array4;
  float[all(equal((ivec3(np.int32(36), np.int32(32), np.int32(88)) | (~ abs(np.int32(12)))), ivec3(np.int32(-9), np.int32(-13), np.int32(-5)))) ? 1 : -1] array5;
  float[all(equal((ivec3(np.int32(36), np.int32(32), np.int32(88)) | (~ abs(np.int32(-6)))), ivec3(np.int32(-3), np.int32(-7), np.int32(-7)))) ? 1 : -1] array6;
  float[all(equal((ivec3(np.int32(36), np.int32(32), np.int32(88)) | (~ abs(np.int32(76)))), ivec3(np.int32(-73), np.int32(-77), np.int32(-5)))) ? 1 : -1] array7;
  float[all(equal((ivec3(np.int32(36), np.int32(32), np.int32(88)) | (~ abs(np.int32(-32)))), ivec3(np.int32(-1), np.int32(-1), np.int32(-33)))) ? 1 : -1] array8;
  float[all(equal((ivec3(np.int32(36), np.int32(32), np.int32(88)) | (~ abs(np.int32(0)))), ivec3(np.int32(-1), np.int32(-1), np.int32(-1)))) ? 1 : -1] array9;
  float[all(equal((ivec3(np.int32(59), np.int32(77), np.int32(68)) | (~ abs(np.int32(12)))), ivec3(np.int32(-5), np.int32(-1), np.int32(-9)))) ? 1 : -1] array10;
  float[all(equal((ivec3(np.int32(59), np.int32(77), np.int32(68)) | (~ abs(np.int32(-6)))), ivec3(np.int32(-5), np.int32(-3), np.int32(-3)))) ? 1 : -1] array11;
  float[all(equal((ivec3(np.int32(59), np.int32(77), np.int32(68)) | (~ abs(np.int32(76)))), ivec3(np.int32(-69), np.int32(-1), np.int32(-9)))) ? 1 : -1] array12;
  float[all(equal((ivec3(np.int32(59), np.int32(77), np.int32(68)) | (~ abs(np.int32(-32)))), ivec3(np.int32(-1), np.int32(-33), np.int32(-33)))) ? 1 : -1] array13;
  float[all(equal((ivec3(np.int32(59), np.int32(77), np.int32(68)) | (~ abs(np.int32(0)))), ivec3(np.int32(-1), np.int32(-1), np.int32(-1)))) ? 1 : -1] array14;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length() + array12.length() + array13.length() + array14.length());
}
