/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (uvec2(np.uint32(13)u, np.uint32(26)u) << np.int32(0)) => uvec2(np.uint32(13)u, np.uint32(26)u)
 * (uvec2(np.uint32(13)u, np.uint32(26)u) << np.int32(1)) => uvec2(np.uint32(26)u, np.uint32(52)u)
 * (uvec2(np.uint32(13)u, np.uint32(26)u) << np.int32(2)) => uvec2(np.uint32(52)u, np.uint32(104)u)
 * (uvec2(np.uint32(13)u, np.uint32(26)u) << np.int32(5)) => uvec2(np.uint32(416)u, np.uint32(832)u)
 * (uvec2(np.uint32(13)u, np.uint32(26)u) << np.int32(25)) => uvec2(np.uint32(436207616)u, np.uint32(872415232)u)
 * (uvec2(np.uint32(13)u, np.uint32(26)u) << np.int32(31)) => uvec2(np.uint32(2147483648)u, np.uint32(0)u)
 * (uvec2(np.uint32(2)u, np.uint32(26)u) << np.int32(0)) => uvec2(np.uint32(2)u, np.uint32(26)u)
 * (uvec2(np.uint32(2)u, np.uint32(26)u) << np.int32(1)) => uvec2(np.uint32(4)u, np.uint32(52)u)
 * (uvec2(np.uint32(2)u, np.uint32(26)u) << np.int32(2)) => uvec2(np.uint32(8)u, np.uint32(104)u)
 * (uvec2(np.uint32(2)u, np.uint32(26)u) << np.int32(5)) => uvec2(np.uint32(64)u, np.uint32(832)u)
 * (uvec2(np.uint32(2)u, np.uint32(26)u) << np.int32(25)) => uvec2(np.uint32(67108864)u, np.uint32(872415232)u)
 * (uvec2(np.uint32(2)u, np.uint32(26)u) << np.int32(31)) => uvec2(np.uint32(0)u, np.uint32(0)u)
 */
#version 130

void main()
{
  float[all(equal((uvec2(np.uint32(13)u, np.uint32(26)u) << np.int32(0)), uvec2(np.uint32(13)u, np.uint32(26)u))) ? 1 : -1] array0;
  float[all(equal((uvec2(np.uint32(13)u, np.uint32(26)u) << np.int32(1)), uvec2(np.uint32(26)u, np.uint32(52)u))) ? 1 : -1] array1;
  float[all(equal((uvec2(np.uint32(13)u, np.uint32(26)u) << np.int32(2)), uvec2(np.uint32(52)u, np.uint32(104)u))) ? 1 : -1] array2;
  float[all(equal((uvec2(np.uint32(13)u, np.uint32(26)u) << np.int32(5)), uvec2(np.uint32(416)u, np.uint32(832)u))) ? 1 : -1] array3;
  float[all(equal((uvec2(np.uint32(13)u, np.uint32(26)u) << np.int32(25)), uvec2(np.uint32(436207616)u, np.uint32(872415232)u))) ? 1 : -1] array4;
  float[all(equal((uvec2(np.uint32(13)u, np.uint32(26)u) << np.int32(31)), uvec2(np.uint32(2147483648)u, np.uint32(0)u))) ? 1 : -1] array5;
  float[all(equal((uvec2(np.uint32(2)u, np.uint32(26)u) << np.int32(0)), uvec2(np.uint32(2)u, np.uint32(26)u))) ? 1 : -1] array6;
  float[all(equal((uvec2(np.uint32(2)u, np.uint32(26)u) << np.int32(1)), uvec2(np.uint32(4)u, np.uint32(52)u))) ? 1 : -1] array7;
  float[all(equal((uvec2(np.uint32(2)u, np.uint32(26)u) << np.int32(2)), uvec2(np.uint32(8)u, np.uint32(104)u))) ? 1 : -1] array8;
  float[all(equal((uvec2(np.uint32(2)u, np.uint32(26)u) << np.int32(5)), uvec2(np.uint32(64)u, np.uint32(832)u))) ? 1 : -1] array9;
  float[all(equal((uvec2(np.uint32(2)u, np.uint32(26)u) << np.int32(25)), uvec2(np.uint32(67108864)u, np.uint32(872415232)u))) ? 1 : -1] array10;
  float[all(equal((uvec2(np.uint32(2)u, np.uint32(26)u) << np.int32(31)), uvec2(np.uint32(0)u, np.uint32(0)u))) ? 1 : -1] array11;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length());
}
