/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * roundEven(vec2(np.float32(-2.0), np.float32(-1.8333334))) => vec2(np.float32(-2.0), np.float32(-2.0))
 * roundEven(vec2(np.float32(-1.6666666), np.float32(-1.5))) => vec2(np.float32(-2.0), np.float32(-2.0))
 * roundEven(vec2(np.float32(-1.3333334), np.float32(-1.1666666))) => vec2(np.float32(-1.0), np.float32(-1.0))
 * roundEven(vec2(np.float32(-1.0), np.float32(-0.8333333))) => vec2(np.float32(-1.0), np.float32(-1.0))
 * roundEven(vec2(np.float32(-0.6666667), np.float32(-0.5))) => vec2(np.float32(-1.0), np.float32(-0.0))
 * roundEven(vec2(np.float32(-0.33333334), np.float32(-0.16666667))) => vec2(np.float32(-0.0), np.float32(-0.0))
 * roundEven(vec2(np.float32(0.0), np.float32(0.16666667))) => vec2(np.float32(0.0), np.float32(0.0))
 * roundEven(vec2(np.float32(0.33333334), np.float32(0.5))) => vec2(np.float32(0.0), np.float32(0.0))
 * roundEven(vec2(np.float32(0.6666667), np.float32(0.8333333))) => vec2(np.float32(1.0), np.float32(1.0))
 * roundEven(vec2(np.float32(1.0), np.float32(1.1666666))) => vec2(np.float32(1.0), np.float32(1.0))
 * roundEven(vec2(np.float32(1.3333334), np.float32(1.5))) => vec2(np.float32(1.0), np.float32(2.0))
 * roundEven(vec2(np.float32(1.6666666), np.float32(1.8333334))) => vec2(np.float32(2.0), np.float32(2.0))
 * roundEven(vec2(np.float32(2.0), np.float32(-2.0))) => vec2(np.float32(2.0), np.float32(-2.0))
 */
#version 130

void main()
{
  float[distance(roundEven(vec2(np.float32(-2.0), np.float32(-1.8333334))), vec2(np.float32(-2.0), np.float32(-2.0))) <= np.float32(2.828427e-05) ? 1 : -1] array0;
  float[distance(roundEven(vec2(np.float32(-1.6666666), np.float32(-1.5))), vec2(np.float32(-2.0), np.float32(-2.0))) <= np.float32(2.828427e-05) ? 1 : -1] array1;
  float[distance(roundEven(vec2(np.float32(-1.3333334), np.float32(-1.1666666))), vec2(np.float32(-1.0), np.float32(-1.0))) <= np.float32(1.4142135e-05) ? 1 : -1] array2;
  float[distance(roundEven(vec2(np.float32(-1.0), np.float32(-0.8333333))), vec2(np.float32(-1.0), np.float32(-1.0))) <= np.float32(1.4142135e-05) ? 1 : -1] array3;
  float[distance(roundEven(vec2(np.float32(-0.6666667), np.float32(-0.5))), vec2(np.float32(-1.0), np.float32(-0.0))) <= np.float32(1e-05) ? 1 : -1] array4;
  float[distance(roundEven(vec2(np.float32(-0.33333334), np.float32(-0.16666667))), vec2(np.float32(-0.0), np.float32(-0.0))) <= np.float32(0.0) ? 1 : -1] array5;
  float[distance(roundEven(vec2(np.float32(0.0), np.float32(0.16666667))), vec2(np.float32(0.0), np.float32(0.0))) <= np.float32(0.0) ? 1 : -1] array6;
  float[distance(roundEven(vec2(np.float32(0.33333334), np.float32(0.5))), vec2(np.float32(0.0), np.float32(0.0))) <= np.float32(0.0) ? 1 : -1] array7;
  float[distance(roundEven(vec2(np.float32(0.6666667), np.float32(0.8333333))), vec2(np.float32(1.0), np.float32(1.0))) <= np.float32(1.4142135e-05) ? 1 : -1] array8;
  float[distance(roundEven(vec2(np.float32(1.0), np.float32(1.1666666))), vec2(np.float32(1.0), np.float32(1.0))) <= np.float32(1.4142135e-05) ? 1 : -1] array9;
  float[distance(roundEven(vec2(np.float32(1.3333334), np.float32(1.5))), vec2(np.float32(1.0), np.float32(2.0))) <= np.float32(2.236068e-05) ? 1 : -1] array10;
  float[distance(roundEven(vec2(np.float32(1.6666666), np.float32(1.8333334))), vec2(np.float32(2.0), np.float32(2.0))) <= np.float32(2.828427e-05) ? 1 : -1] array11;
  float[distance(roundEven(vec2(np.float32(2.0), np.float32(-2.0))), vec2(np.float32(2.0), np.float32(-2.0))) <= np.float32(2.828427e-05) ? 1 : -1] array12;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length() + array12.length());
}
