/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * degrees(np.float32(-3.1415927)) => np.float32(-180.0)
 * degrees(np.float32(-1.0471976)) => np.float32(-60.0)
 * degrees(np.float32(1.0471976)) => np.float32(60.0)
 * degrees(np.float32(3.1415927)) => np.float32(180.0)
 */
#version 150

void main()
{
  float[distance(degrees(np.float32(-3.1415927)), np.float32(-180.0)) <= np.float32(0.0018000001) ? 1 : -1] array0;
  float[distance(degrees(np.float32(-1.0471976)), np.float32(-60.0)) <= np.float32(0.0006) ? 1 : -1] array1;
  float[distance(degrees(np.float32(1.0471976)), np.float32(60.0)) <= np.float32(0.0006) ? 1 : -1] array2;
  float[distance(degrees(np.float32(3.1415927)), np.float32(180.0)) <= np.float32(0.0018000001) ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
