/* [config]
 * expect_result: pass
 * glsl_version: 4.00
 * require_extensions: GL_ARB_gpu_shader_int64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (i64vec3(np.int64(-1333333333333333259)l, np.int64(85)l, np.int64(94)l) >> uvec3(np.uint32(22)u, np.uint32(23)u, np.uint32(4)u)) => i64vec3(np.int64(-317891438803)l, np.int64(0)l, np.int64(5)l)
 * (i64vec3(np.int64(-1333333333333333259)l, np.int64(85)l, np.int64(94)l) >> uvec3(np.uint32(19)u, np.uint32(1)u, np.uint32(13)u)) => i64vec3(np.int64(-2543131510417)l, np.int64(42)l, np.int64(0)l)
 * (i64vec3(np.int64(167)l, np.int64(66)l, np.int64(187)l) >> uvec3(np.uint32(22)u, np.uint32(23)u, np.uint32(4)u)) => i64vec3(np.int64(0)l, np.int64(0)l, np.int64(11)l)
 * (i64vec3(np.int64(167)l, np.int64(66)l, np.int64(187)l) >> uvec3(np.uint32(19)u, np.uint32(1)u, np.uint32(13)u)) => i64vec3(np.int64(0)l, np.int64(33)l, np.int64(0)l)
 */
#version 400
#extension GL_ARB_gpu_shader_int64 : require

void main()
{
  float[all(equal((i64vec3(np.int64(-1333333333333333259)l, np.int64(85)l, np.int64(94)l) >> uvec3(np.uint32(22)u, np.uint32(23)u, np.uint32(4)u)), i64vec3(np.int64(-317891438803)l, np.int64(0)l, np.int64(5)l))) ? 1 : -1] array0;
  float[all(equal((i64vec3(np.int64(-1333333333333333259)l, np.int64(85)l, np.int64(94)l) >> uvec3(np.uint32(19)u, np.uint32(1)u, np.uint32(13)u)), i64vec3(np.int64(-2543131510417)l, np.int64(42)l, np.int64(0)l))) ? 1 : -1] array1;
  float[all(equal((i64vec3(np.int64(167)l, np.int64(66)l, np.int64(187)l) >> uvec3(np.uint32(22)u, np.uint32(23)u, np.uint32(4)u)), i64vec3(np.int64(0)l, np.int64(0)l, np.int64(11)l))) ? 1 : -1] array2;
  float[all(equal((i64vec3(np.int64(167)l, np.int64(66)l, np.int64(187)l) >> uvec3(np.uint32(19)u, np.uint32(1)u, np.uint32(13)u)), i64vec3(np.int64(0)l, np.int64(33)l, np.int64(0)l))) ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
