/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * clamp(vec4(np.float32(-2.0), np.float32(-0.6666667), np.float32(0.6666667), np.float32(2.0)), np.float32(-1.5), np.float32(-1.5)) => vec4(np.float32(-1.5), np.float32(-1.5), np.float32(-1.5), np.float32(-1.5))
 * clamp(vec4(np.float32(-2.0), np.float32(-0.6666667), np.float32(0.6666667), np.float32(2.0)), np.float32(-1.5), np.float32(0.0)) => vec4(np.float32(-1.5), np.float32(-0.6666667), np.float32(0.0), np.float32(0.0))
 * clamp(vec4(np.float32(-2.0), np.float32(-0.6666667), np.float32(0.6666667), np.float32(2.0)), np.float32(-1.5), np.float32(1.5)) => vec4(np.float32(-1.5), np.float32(-0.6666667), np.float32(0.6666667), np.float32(1.5))
 * clamp(vec4(np.float32(-2.0), np.float32(-0.6666667), np.float32(0.6666667), np.float32(2.0)), np.float32(0.0), np.float32(0.0)) => vec4(np.float32(0.0), np.float32(0.0), np.float32(0.0), np.float32(0.0))
 * clamp(vec4(np.float32(-2.0), np.float32(-0.6666667), np.float32(0.6666667), np.float32(2.0)), np.float32(0.0), np.float32(1.5)) => vec4(np.float32(0.0), np.float32(0.0), np.float32(0.6666667), np.float32(1.5))
 * clamp(vec4(np.float32(-2.0), np.float32(-0.6666667), np.float32(0.6666667), np.float32(2.0)), np.float32(1.5), np.float32(1.5)) => vec4(np.float32(1.5), np.float32(1.5), np.float32(1.5), np.float32(1.5))
 */
#version 120

void main()
{
  float[distance(clamp(vec4(np.float32(-2.0), np.float32(-0.6666667), np.float32(0.6666667), np.float32(2.0)), np.float32(-1.5), np.float32(-1.5)), vec4(np.float32(-1.5), np.float32(-1.5), np.float32(-1.5), np.float32(-1.5))) <= np.float32(3e-05) ? 1 : -1] array0;
  float[distance(clamp(vec4(np.float32(-2.0), np.float32(-0.6666667), np.float32(0.6666667), np.float32(2.0)), np.float32(-1.5), np.float32(0.0)), vec4(np.float32(-1.5), np.float32(-0.6666667), np.float32(0.0), np.float32(0.0))) <= np.float32(1.6414762e-05) ? 1 : -1] array1;
  float[distance(clamp(vec4(np.float32(-2.0), np.float32(-0.6666667), np.float32(0.6666667), np.float32(2.0)), np.float32(-1.5), np.float32(1.5)), vec4(np.float32(-1.5), np.float32(-0.6666667), np.float32(0.6666667), np.float32(1.5))) <= np.float32(2.3213981e-05) ? 1 : -1] array2;
  float[distance(clamp(vec4(np.float32(-2.0), np.float32(-0.6666667), np.float32(0.6666667), np.float32(2.0)), np.float32(0.0), np.float32(0.0)), vec4(np.float32(0.0), np.float32(0.0), np.float32(0.0), np.float32(0.0))) <= np.float32(0.0) ? 1 : -1] array3;
  float[distance(clamp(vec4(np.float32(-2.0), np.float32(-0.6666667), np.float32(0.6666667), np.float32(2.0)), np.float32(0.0), np.float32(1.5)), vec4(np.float32(0.0), np.float32(0.0), np.float32(0.6666667), np.float32(1.5))) <= np.float32(1.6414762e-05) ? 1 : -1] array4;
  float[distance(clamp(vec4(np.float32(-2.0), np.float32(-0.6666667), np.float32(0.6666667), np.float32(2.0)), np.float32(1.5), np.float32(1.5)), vec4(np.float32(1.5), np.float32(1.5), np.float32(1.5), np.float32(1.5))) <= np.float32(3e-05) ? 1 : -1] array5;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length());
}
