/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94)) + np.float32(0.0)) => vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94))
 * (vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94)) + np.float32(-1.33)) => vec3(np.float32(-1.36), np.float32(-2.18), np.float32(-2.27))
 * (vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94)) + np.float32(0.85)) => vec3(np.float32(0.82000005), np.float32(0.0), np.float32(-0.089999974))
 * (vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87)) + np.float32(0.0)) => vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87))
 * (vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87)) + np.float32(-1.33)) => vec3(np.float32(0.3399999), np.float32(-0.67), np.float32(0.53999996))
 * (vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87)) + np.float32(0.85)) => vec3(np.float32(2.52), np.float32(1.51), np.float32(2.72))
 */
#version 120

void main()
{
  float[distance((vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94)) + np.float32(0.0)), vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94))) <= np.float32(1.2676751e-05) ? 1 : -1] array0;
  float[distance((vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94)) + np.float32(-1.33)), vec3(np.float32(-1.36), np.float32(-2.18), np.float32(-2.27))) <= np.float32(3.4285422e-05) ? 1 : -1] array1;
  float[distance((vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94)) + np.float32(0.85)), vec3(np.float32(0.82000005), np.float32(0.0), np.float32(-0.089999974))) <= np.float32(8.2492425e-06) ? 1 : -1] array2;
  float[distance((vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87)) + np.float32(0.0)), vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87))) <= np.float32(2.5925663e-05) ? 1 : -1] array3;
  float[distance((vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87)) + np.float32(-1.33)), vec3(np.float32(0.3399999), np.float32(-0.67), np.float32(0.53999996))) <= np.float32(9.252567e-06) ? 1 : -1] array4;
  float[distance((vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87)) + np.float32(0.85)), vec3(np.float32(2.52), np.float32(1.51), np.float32(2.72))) <= np.float32(4.003611e-05) ? 1 : -1] array5;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length());
}
