/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (vec4(np.float32(-1.65), np.float32(1.33), np.float32(1.93), np.float32(0.76)) + vec4(np.float32(-1.65), np.float32(1.33), np.float32(1.93), np.float32(0.76))) => vec4(np.float32(-3.3), np.float32(2.66), np.float32(3.86), np.float32(1.52))
 * (vec4(np.float32(-1.65), np.float32(1.33), np.float32(1.93), np.float32(0.76)) + vec4(np.float32(0.8), np.float32(-0.15), np.float32(-0.51), np.float32(0.0))) => vec4(np.float32(-0.84999996), np.float32(1.1800001), np.float32(1.42), np.float32(0.76))
 * (vec4(np.float32(0.8), np.float32(-0.15), np.float32(-0.51), np.float32(0.0)) + vec4(np.float32(-1.65), np.float32(1.33), np.float32(1.93), np.float32(0.76))) => vec4(np.float32(-0.84999996), np.float32(1.1800001), np.float32(1.42), np.float32(0.76))
 * (vec4(np.float32(0.8), np.float32(-0.15), np.float32(-0.51), np.float32(0.0)) + vec4(np.float32(0.8), np.float32(-0.15), np.float32(-0.51), np.float32(0.0))) => vec4(np.float32(1.6), np.float32(-0.3), np.float32(-1.02), np.float32(0.0))
 */
#version 120

void main()
{
  float[distance((vec4(np.float32(-1.65), np.float32(1.33), np.float32(1.93), np.float32(0.76)) + vec4(np.float32(-1.65), np.float32(1.33), np.float32(1.93), np.float32(0.76))), vec4(np.float32(-3.3), np.float32(2.66), np.float32(3.86), np.float32(1.52))) <= np.float32(5.930902e-05) ? 1 : -1] array0;
  float[distance((vec4(np.float32(-1.65), np.float32(1.33), np.float32(1.93), np.float32(0.76)) + vec4(np.float32(0.8), np.float32(-0.15), np.float32(-0.51), np.float32(0.0))), vec4(np.float32(-0.84999996), np.float32(1.1800001), np.float32(1.42), np.float32(0.76))) <= np.float32(2.17e-05) ? 1 : -1] array1;
  float[distance((vec4(np.float32(0.8), np.float32(-0.15), np.float32(-0.51), np.float32(0.0)) + vec4(np.float32(-1.65), np.float32(1.33), np.float32(1.93), np.float32(0.76))), vec4(np.float32(-0.84999996), np.float32(1.1800001), np.float32(1.42), np.float32(0.76))) <= np.float32(2.17e-05) ? 1 : -1] array2;
  float[distance((vec4(np.float32(0.8), np.float32(-0.15), np.float32(-0.51), np.float32(0.0)) + vec4(np.float32(0.8), np.float32(-0.15), np.float32(-0.51), np.float32(0.0))), vec4(np.float32(1.6), np.float32(-0.3), np.float32(-1.02), np.float32(0.0))) <= np.float32(1.9210414e-05) ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
