/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94)) * mat2x3(np.float32(-0.46), np.float32(-0.45), np.float32(1.03), np.float32(1.94), np.float32(-0.75), np.float32(-0.5))) => vec2(np.float32(-0.57189995), np.float32(1.0493001))
 * (vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94)) * mat2x3(np.float32(1.38), np.float32(-1.27), np.float32(1.0), np.float32(-1.08), np.float32(1.83), np.float32(-0.74))) => vec2(np.float32(0.098100014), np.float32(-0.82750005))
 * (vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87)) * mat2x3(np.float32(-0.46), np.float32(-0.45), np.float32(1.03), np.float32(1.94), np.float32(-0.75), np.float32(-0.5))) => vec2(np.float32(0.8608999), np.float32(1.8098))
 * (vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87)) * mat2x3(np.float32(1.38), np.float32(-1.27), np.float32(1.0), np.float32(-1.08), np.float32(1.83), np.float32(-0.74))) => vec2(np.float32(3.3364), np.float32(-1.9796))
 */
#version 120

void main()
{
  float[distance((vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94)) * mat2x3(np.float32(-0.46), np.float32(-0.45), np.float32(1.03), np.float32(1.94), np.float32(-0.75), np.float32(-0.5))), vec2(np.float32(-0.57189995), np.float32(1.0493001))) <= np.float32(1.1950314e-05) ? 1 : -1] array0;
  float[distance((vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94)) * mat2x3(np.float32(1.38), np.float32(-1.27), np.float32(1.0), np.float32(-1.08), np.float32(1.83), np.float32(-0.74))), vec2(np.float32(0.098100014), np.float32(-0.82750005))) <= np.float32(8.332947e-06) ? 1 : -1] array1;
  float[distance((vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87)) * mat2x3(np.float32(-0.46), np.float32(-0.45), np.float32(1.03), np.float32(1.94), np.float32(-0.75), np.float32(-0.5))), vec2(np.float32(0.8608999), np.float32(1.8098))) <= np.float32(2.0041269e-05) ? 1 : -1] array2;
  float[distance((vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87)) * mat2x3(np.float32(1.38), np.float32(-1.27), np.float32(1.0), np.float32(-1.08), np.float32(1.83), np.float32(-0.74))), vec2(np.float32(3.3364), np.float32(-1.9796))) <= np.float32(3.879482e-05) ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
