/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (np.uint32(0)u + uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u)) => uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u)
 * (np.uint32(0)u + uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u)) => uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u)
 * (np.uint32(6)u + uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u)) => uvec4(np.uint32(72)u, np.uint32(78)u, np.uint32(93)u, np.uint32(81)u)
 * (np.uint32(6)u + uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u)) => uvec4(np.uint32(30)u, np.uint32(46)u, np.uint32(29)u, np.uint32(80)u)
 * (np.uint32(12)u + uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u)) => uvec4(np.uint32(78)u, np.uint32(84)u, np.uint32(99)u, np.uint32(87)u)
 * (np.uint32(12)u + uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u)) => uvec4(np.uint32(36)u, np.uint32(52)u, np.uint32(35)u, np.uint32(86)u)
 * (np.uint32(32)u + uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u)) => uvec4(np.uint32(98)u, np.uint32(104)u, np.uint32(119)u, np.uint32(107)u)
 * (np.uint32(32)u + uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u)) => uvec4(np.uint32(56)u, np.uint32(72)u, np.uint32(55)u, np.uint32(106)u)
 * (np.uint32(74)u + uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u)) => uvec4(np.uint32(140)u, np.uint32(146)u, np.uint32(161)u, np.uint32(149)u)
 * (np.uint32(74)u + uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u)) => uvec4(np.uint32(98)u, np.uint32(114)u, np.uint32(97)u, np.uint32(148)u)
 */
#version 130

void main()
{
  float[all(equal((np.uint32(0)u + uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u)), uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u))) ? 1 : -1] array0;
  float[all(equal((np.uint32(0)u + uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u)), uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u))) ? 1 : -1] array1;
  float[all(equal((np.uint32(6)u + uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u)), uvec4(np.uint32(72)u, np.uint32(78)u, np.uint32(93)u, np.uint32(81)u))) ? 1 : -1] array2;
  float[all(equal((np.uint32(6)u + uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u)), uvec4(np.uint32(30)u, np.uint32(46)u, np.uint32(29)u, np.uint32(80)u))) ? 1 : -1] array3;
  float[all(equal((np.uint32(12)u + uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u)), uvec4(np.uint32(78)u, np.uint32(84)u, np.uint32(99)u, np.uint32(87)u))) ? 1 : -1] array4;
  float[all(equal((np.uint32(12)u + uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u)), uvec4(np.uint32(36)u, np.uint32(52)u, np.uint32(35)u, np.uint32(86)u))) ? 1 : -1] array5;
  float[all(equal((np.uint32(32)u + uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u)), uvec4(np.uint32(98)u, np.uint32(104)u, np.uint32(119)u, np.uint32(107)u))) ? 1 : -1] array6;
  float[all(equal((np.uint32(32)u + uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u)), uvec4(np.uint32(56)u, np.uint32(72)u, np.uint32(55)u, np.uint32(106)u))) ? 1 : -1] array7;
  float[all(equal((np.uint32(74)u + uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u)), uvec4(np.uint32(140)u, np.uint32(146)u, np.uint32(161)u, np.uint32(149)u))) ? 1 : -1] array8;
  float[all(equal((np.uint32(74)u + uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u)), uvec4(np.uint32(98)u, np.uint32(114)u, np.uint32(97)u, np.uint32(148)u))) ? 1 : -1] array9;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length());
}
