/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) & (~ uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u))) => uvec3(np.uint32(0)u, np.uint32(0)u, np.uint32(0)u)
 * (uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) & (~ uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u))) => uvec3(np.uint32(4)u, np.uint32(32)u, np.uint32(24)u)
 * (uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) & (~ uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u))) => uvec3(np.uint32(27)u, np.uint32(77)u, np.uint32(4)u)
 * (uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) & (~ uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u))) => uvec3(np.uint32(0)u, np.uint32(0)u, np.uint32(0)u)
 */
#version 130

void main()
{
  float[all(equal((uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) & (~ uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u))), uvec3(np.uint32(0)u, np.uint32(0)u, np.uint32(0)u))) ? 1 : -1] array0;
  float[all(equal((uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) & (~ uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u))), uvec3(np.uint32(4)u, np.uint32(32)u, np.uint32(24)u))) ? 1 : -1] array1;
  float[all(equal((uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) & (~ uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u))), uvec3(np.uint32(27)u, np.uint32(77)u, np.uint32(4)u))) ? 1 : -1] array2;
  float[all(equal((uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) & (~ uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u))), uvec3(np.uint32(0)u, np.uint32(0)u, np.uint32(0)u))) ? 1 : -1] array3;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
