/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (uvec2(np.uint32(38)u, np.uint32(35)u) != uvec2(np.uint32(38)u, np.uint32(35)u)) => false
 * (uvec2(np.uint32(38)u, np.uint32(35)u) != uvec2(np.uint32(64)u, np.uint32(9)u)) => true
 * (uvec2(np.uint32(64)u, np.uint32(9)u) != uvec2(np.uint32(38)u, np.uint32(35)u)) => true
 * (uvec2(np.uint32(64)u, np.uint32(9)u) != uvec2(np.uint32(64)u, np.uint32(9)u)) => false
 */
#version 130

void main()
{
  float[(uvec2(np.uint32(38)u, np.uint32(35)u) != uvec2(np.uint32(38)u, np.uint32(35)u)) == false ? 1 : -1] array0;
  float[(uvec2(np.uint32(38)u, np.uint32(35)u) != uvec2(np.uint32(64)u, np.uint32(9)u)) == true ? 1 : -1] array1;
  float[(uvec2(np.uint32(64)u, np.uint32(9)u) != uvec2(np.uint32(38)u, np.uint32(35)u)) == true ? 1 : -1] array2;
  float[(uvec2(np.uint32(64)u, np.uint32(9)u) != uvec2(np.uint32(64)u, np.uint32(9)u)) == false ? 1 : -1] array3;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
