/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (false ? uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) : uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u)) => uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u)
 * (false ? uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) : uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u)) => uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u)
 * (false ? uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) : uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u)) => uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u)
 * (false ? uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) : uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u)) => uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u)
 * (true ? uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) : uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u)) => uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u)
 * (true ? uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) : uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u)) => uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u)
 * (true ? uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) : uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u)) => uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u)
 * (true ? uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) : uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u)) => uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u)
 */
#version 130

void main()
{
  float[all(equal((false ? uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) : uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u)), uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u))) ? 1 : -1] array0;
  float[all(equal((false ? uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) : uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u)), uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u))) ? 1 : -1] array1;
  float[all(equal((false ? uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) : uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u)), uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u))) ? 1 : -1] array2;
  float[all(equal((false ? uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) : uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u)), uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u))) ? 1 : -1] array3;
  float[all(equal((true ? uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) : uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u)), uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u))) ? 1 : -1] array4;
  float[all(equal((true ? uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) : uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u)), uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u))) ? 1 : -1] array5;
  float[all(equal((true ? uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) : uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u)), uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u))) ? 1 : -1] array6;
  float[all(equal((true ? uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) : uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u)), uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u))) ? 1 : -1] array7;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length());
}
