/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * dot(np.float32(0.0), np.float32(0.0)) => np.float32(0.0)
 * dot(np.float32(0.0), np.float32(-1.33)) => np.float32(-0.0)
 * dot(np.float32(0.0), np.float32(0.85)) => np.float32(0.0)
 * dot(np.float32(-1.33), np.float32(0.0)) => np.float32(-0.0)
 * dot(np.float32(-1.33), np.float32(-1.33)) => np.float32(1.7689002)
 * dot(np.float32(-1.33), np.float32(0.85)) => np.float32(-1.1305001)
 * dot(np.float32(0.85), np.float32(0.0)) => np.float32(0.0)
 * dot(np.float32(0.85), np.float32(-1.33)) => np.float32(-1.1305001)
 * dot(np.float32(0.85), np.float32(0.85)) => np.float32(0.7225)
 */
#version 150

void main()
{
  float[distance(dot(np.float32(0.0), np.float32(0.0)), np.float32(0.0)) <= np.float32(0.0) ? 1 : -1] array0;
  float[distance(dot(np.float32(0.0), np.float32(-1.33)), np.float32(-0.0)) <= np.float32(0.0) ? 1 : -1] array1;
  float[distance(dot(np.float32(0.0), np.float32(0.85)), np.float32(0.0)) <= np.float32(0.0) ? 1 : -1] array2;
  float[distance(dot(np.float32(-1.33), np.float32(0.0)), np.float32(-0.0)) <= np.float32(0.0) ? 1 : -1] array3;
  float[distance(dot(np.float32(-1.33), np.float32(-1.33)), np.float32(1.7689002)) <= np.float32(1.7689e-05) ? 1 : -1] array4;
  float[distance(dot(np.float32(-1.33), np.float32(0.85)), np.float32(-1.1305001)) <= np.float32(1.1305001e-05) ? 1 : -1] array5;
  float[distance(dot(np.float32(0.85), np.float32(0.0)), np.float32(0.0)) <= np.float32(0.0) ? 1 : -1] array6;
  float[distance(dot(np.float32(0.85), np.float32(-1.33)), np.float32(-1.1305001)) <= np.float32(1.1305001e-05) ? 1 : -1] array7;
  float[distance(dot(np.float32(0.85), np.float32(0.85)), np.float32(0.7225)) <= np.float32(7.2250004e-06) ? 1 : -1] array8;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length());
}
