/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u) & np.uint32(0)u) => uvec4(np.uint32(0)u, np.uint32(0)u, np.uint32(0)u, np.uint32(0)u)
 * (uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u) & np.uint32(6)u) => uvec4(np.uint32(2)u, np.uint32(0)u, np.uint32(6)u, np.uint32(2)u)
 * (uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u) & np.uint32(12)u) => uvec4(np.uint32(0)u, np.uint32(8)u, np.uint32(4)u, np.uint32(8)u)
 * (uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u) & np.uint32(32)u) => uvec4(np.uint32(0)u, np.uint32(0)u, np.uint32(0)u, np.uint32(0)u)
 * (uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u) & np.uint32(74)u) => uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(66)u, np.uint32(74)u)
 * (uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u) & np.uint32(0)u) => uvec4(np.uint32(0)u, np.uint32(0)u, np.uint32(0)u, np.uint32(0)u)
 * (uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u) & np.uint32(6)u) => uvec4(np.uint32(0)u, np.uint32(0)u, np.uint32(6)u, np.uint32(2)u)
 * (uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u) & np.uint32(12)u) => uvec4(np.uint32(8)u, np.uint32(8)u, np.uint32(4)u, np.uint32(8)u)
 * (uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u) & np.uint32(32)u) => uvec4(np.uint32(0)u, np.uint32(32)u, np.uint32(0)u, np.uint32(0)u)
 * (uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u) & np.uint32(74)u) => uvec4(np.uint32(8)u, np.uint32(8)u, np.uint32(2)u, np.uint32(74)u)
 */
#version 150

void main()
{
  float[all(equal((uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u) & np.uint32(0)u), uvec4(np.uint32(0)u, np.uint32(0)u, np.uint32(0)u, np.uint32(0)u))) ? 1 : -1] array0;
  float[all(equal((uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u) & np.uint32(6)u), uvec4(np.uint32(2)u, np.uint32(0)u, np.uint32(6)u, np.uint32(2)u))) ? 1 : -1] array1;
  float[all(equal((uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u) & np.uint32(12)u), uvec4(np.uint32(0)u, np.uint32(8)u, np.uint32(4)u, np.uint32(8)u))) ? 1 : -1] array2;
  float[all(equal((uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u) & np.uint32(32)u), uvec4(np.uint32(0)u, np.uint32(0)u, np.uint32(0)u, np.uint32(0)u))) ? 1 : -1] array3;
  float[all(equal((uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u) & np.uint32(74)u), uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(66)u, np.uint32(74)u))) ? 1 : -1] array4;
  float[all(equal((uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u) & np.uint32(0)u), uvec4(np.uint32(0)u, np.uint32(0)u, np.uint32(0)u, np.uint32(0)u))) ? 1 : -1] array5;
  float[all(equal((uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u) & np.uint32(6)u), uvec4(np.uint32(0)u, np.uint32(0)u, np.uint32(6)u, np.uint32(2)u))) ? 1 : -1] array6;
  float[all(equal((uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u) & np.uint32(12)u), uvec4(np.uint32(8)u, np.uint32(8)u, np.uint32(4)u, np.uint32(8)u))) ? 1 : -1] array7;
  float[all(equal((uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u) & np.uint32(32)u), uvec4(np.uint32(0)u, np.uint32(32)u, np.uint32(0)u, np.uint32(0)u))) ? 1 : -1] array8;
  float[all(equal((uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u) & np.uint32(74)u), uvec4(np.uint32(8)u, np.uint32(8)u, np.uint32(2)u, np.uint32(74)u))) ? 1 : -1] array9;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length());
}
